### Class

# Gdk VulkanContext

#### Description [src]

    abstract class Gdk.VulkanContext : Gdk.DrawContext {
      /* No available fields */
    }

`GdkVulkanContext` is an object representing the platform-specific Vulkan draw context.

`GdkVulkanContext`s are created for a surface using gdk_surface_create_vulkan_context(), and the context will match the the characteristics of the surface.

Support for `GdkVulkanContext` is platform-specific and context creation can fail, returning `NULL` context.

#### Hierarchy

#### Ancestors

- GdkDrawContext
- GObject

#### Implements

- GInitable

#### Signals

###### Gdk.VulkanContext::images-updated

Emitted when the images managed by this context have changed.